<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 5 $
 * $Author: PragmaMx $
 * $Date: 2021-02-12 22:27:49 +0100 (Fr, 12. Feb 2021) $
 */

defined('mxMainFileLoaded') or die('access denied');
/* der passende Modulname */
$module_name = basename(dirname(dirname(__FILE__)));

if (!mxModuleAllowed($module_name) OR $module_name != MX_MODULE) {
    /* Block darf nicht gecached werden und weg... */
    $mxblockcache = false;
    return;
}
global $doc, $doc_cfg;
extract($block['settings'], EXTR_OVERWRITE);

/* --- Book-Klasse laden ------- */
$bookmodule = $module_name;
$doc_cfg = array();
$doc = load_class('Book', $bookmodule);
$doc->module_name = $bookmodule;
$doc->modulename = $bookmodule;

$doc_cfg = $doc->getConfig();
$doc->logging = $doc_cfg['logging'];
$doc->insertfirst = $doc_cfg['insertfirst'];
$cat=$doc;
/* ----------------------------- */


/* --------- Konfiguration fuer den Block ----------------------------------- */
// Anzahl Artikel
$newscount = 20;//$doc_cfg['newscount'];

/* --------- Ende der Konfiguration ----------------------------------------- */

$tid=pmxBase::get($module_name."-tid");
$id=pmxBase::get($module_name."-id");

$content = "";
$node = $cat->getRecord($id);
$keywords=$node['keywords'].",".$node['title'];

$records=array();   
$keywords = trim(strip_tags($keywords));
    if (empty($keywords)) return $records;

        $filter = $cat->setFilter("search", "publish", "=", "1");
        $filter = $cat->setFilter("search", "language", " IN ", "('ALL','" . pmxBase::currentlang() . "')");
        $filter = $cat->setFilter("search", "MATCH(keywords,title)", "AGAINST", "('" . $keywords . "' IN BOOLEAN MODE) ");
        $records = $cat->getRecords("search", "", $newscount);
        foreach($records as $value) {
            $value['text1'] = strip_tags($value['text1']);
            $records[$value['id']]['text1'] = preg_replace("/{(.*?)}/", "", $value['text1']);
     }
$news=$records;


if ($news === false) {
    // add by Andi: Fehlermeldung vermeiden, falls keine Datensätze vorhanden
    $mxblockcache = false;
    return;
}
$newscount = count($news);
$i = 0;
if ($newscount > 0) {
    $temp='';
    $temp .= "<ul class=\"list\">";

    $width = 100;
    foreach ($news as $cats) {
        //$book = $cat->getBookRoot($cats['id']);
        //if (!$book) continue 1;
	if ($cats['id']==$id) continue 1;
        //$bookstitle = $book['title'];
        $temp .= "<li><a href=\"modules.php?name=$module_name&amp;act=page&amp;id=" . $cats['id'] . "\">" . $cats['title'] . "</a>";
        $temp .= "</li>";
        $i++;
    }

    $temp .= "</ul>";
}
/* ausgabe hier */
if ($i) {
	$blockfiletitle = "" . _DOCS_PAGE_SIMILAR . "";
	$content=$temp;  
        $mxblockcache = false; 
}
?>